# Dart Language and Library Newsletters

This directory contains newsletters about the Dart language and
some of its core libraries.
For more information about the newsletters, see
[this news post](https://news.dartlang.org/2017/11/dart-language-and-library-newsletters.html).

* [November 10, 2017](20171110.md)
  * Did you know: Constructors (generative, factory, redirecting, ...)
  * Shorter final variables (`:=`)
* [November 3, 2017](20171103.md)
  * Did you know: Chunked conversions
  * Optional positional and named parameters
* [October 27, 2017](20171027.md)
  * Planned library changes for Dart 2.0:
    [docs/newsletter/lib/lib.md](lib/lib.md)
* [October 20, 2017](20171020.md)
  * DateTime refactoring
  * [Date-Time Medium article](https://medium.com/@florian_32814/date-time-526a4f86badb)
* [October 13, 2017](20171013.md)
  * Follow up: Evaluation order
  * Did you know: double.toString*
  * Why even simple language and library changes require so much thought, and why they often take so much time.
* [October 6, 2017](20171006.md)
  * Did you know: Static initializers
  * Changing the evaluation order 
* [September 29, 2017](20170929.md)
  * Did you know: JSON encoding
  * Fixed-size integers
* [September 22, 2017](20170922.md)
  * Did you know: Literal strings
  * Void as a type
* [September 15, 2017](20170915.md)
  * Did you know: Labels
  * Making async functions start synchronously (instead of immediately returning)
* [September 8, 2017](20170908.md)
  * Follow up: call
  * Fuzzy arrow
  * Enhanced type promotion
* [September 1, 2017](20170901.md)
  * The case against call
  * Limitations on generic types
* [August 25, 2017](20170825.md)
  * Separating mixins from normal classes
  * Corner cases:
    * Inference vs. manual types
    * Function types and covariant generics
* [August 18, 2017](20170818.md)
  * Did you know: Trailing commas
  * Function type syntax: Options we considered
* [August 11, 2017](20170811.md)
  * Follow ups
    * Void arrow functions
    * Deferred loading
  * Supporting const functions
  * Shadowing core libraries
* [August 4, 2017](20170804.md)
  * Active development:
    * Better organization for docs
    * Void as a type
    * Updates to the core libraries
  * Deferred loading
* [July 28, 2017](20170728.md)
  * Intro to the newsletters
  * 1.24 language changes: Function types, two void changes
  * The unified front end, and what that means for language changes
  * Active development:
    * Better organization for docs (focusing on
      [docs/language](https://github.com/dart-lang/sdk/tree/master/docs/language), with
      [docs/language/informal](https://github.com/dart-lang/sdk/tree/master/docs/language/informal)
      for specs that aren’t yet in the language spec)
    * Resolved part-of
    * Strong-mode clean zones
    * Void as a type
    * Enhanced type promotion
    * Updates to the core libraries
